Atom feed of this document
 
 
 

 4.6.1. List Allowed Domains

Name URI Description
GET /loadbalancers/alloweddomains View a list of allowed domains.

Normal Response Code(s): 200

Error Response Code(s): loadbalancerFault (400, 500), serviceUnavailable (503), unauthorized (401), badRequest (400), overLimit (413)

This operation does not require a request body.

The allowed domains are restrictions set for the allowed domain names used for adding load balancer nodes. In order to submit a domain name as an address for the load balancer node to add, the user must verify that the domain is valid by using the List Allowed Domains call. Once verified, simply supply the domain name in place of the node's address in the Add Nodes call. Refer to Section 4.4.2, “Add Nodes” for examples.

[Note]Note

Currently only Rackspace-based domain names are supported.

 

Example 4.49. List Allowed Domains: XML

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>

<allowedDomains xmlns="http://docs.openstack.org/loadbalancers/api/v1.0">
    <allowedDomain name="rackspace.com"/>
    <allowedDomain name="randomsite.com"/>
    <allowedDomain name="org"/>
</allowedDomains>

                    

 

Example 4.50. List Allowed Domains: JSON

{
    "allowedDomain":[
        {
            "allowedDomain":
            {
                "name":"rackspace.com"
            }
        },
        {
            "allowedDomain":{
                "name":"randomsite.com"
            }
        },
        {
            "allowedDomain":{
                "name":"org"
            }
        }
    ]}

                    



loading table of contents...